OnlyFans API
FanslyEarnings

List Payout Requests

Get the list of submitted payout requests with amount, status, and timestamps.

GET
/api/fansly/{fanslyAccount}/earnings/payouts
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanslyAccount*string

The Fansly Account ID

Query Parameters

limit?string

Number of payout requests to return (1 - 100). Default = 10

offset?string

Pagination offset. Default = 0

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/earnings/payouts?limit=10&offset=0"
{
  "data": {
    "total": 2,
    "data": [
      {
        "id": "300000000000000001",
        "accountId": "800000000000000001",
        "amount": 50000,
        "payoutMethodId": "400000000000000001",
        "status": 1,
        "version": 1,
        "createdAt": 1780358400000,
        "updatedAt": 1780358400000
      },
      {
        "id": "300000000000000002",
        "accountId": "800000000000000001",
        "amount": 75000,
        "payoutMethodId": "400000000000000001",
        "status": 2,
        "version": 2,
        "createdAt": 1779753600000,
        "updatedAt": 1779840000000
      }
    ]
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 10055769,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}